package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "全身并发症")
public class GeneralCompl extends BaseNode  {

    @Relationship(type="疾病相关全身并发症", direction = Relationship.INCOMING)
    private Set<Disease> diseases;
}
